/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2002 Frdric Brown
 */

/*
 *  This file is part of Moka.
 *
 *  Moka is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Moka; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package moka.x;

import moka.x.Component;
import moka.io.Graphics;

/**
 * TextArea class is a text entry component.
 *
 * @author  Frdric Brown
 * @version 1.0, 2003-03-06
 * @since   MDK1.0a
 */
public class Image extends Component {
	/** The bitmap displayed by this Image. Should be only read.*/
	public BITMAP_p bmp;

	/*
	 * Constructs a new Image.
	 */
	public Image () {
	}

	/*
	 * Constructs a new Image specifying its bitmap.
	 *
	 * @param bmp the Image's BITMAP
	 */
	public Image (BITMAP_p bmp) {
	}

	/*
	 * Constructs a new Image specifying its PIC file name.
	 * If the file string object risk to be used later, use a copy of the string object
	 * instead of the original, the string being finalized before the method returns.
	 *
	 * @param file The Image's PIC file name
	 */
	public Image (String file) {
	}

	/**
	 * Paints the Image.
	 */
	public native void paint() ;

	/**
	 * Frees the memory of system ressources used by this Image
	 * object.
	 */
	public void finalize() {
	}

	/**
	 * Sets the bitmap displayed by this Image.
	 *
	 * @param bmp The Image's BITMAP
	 */
	public void setBmp(BITMAP_p bmp) {
	}

	/**
	 * Sets the bitmap displayed by this Image.
	 * If the file string object risk to be used later, use a copy of the string object
	 * instead of the original, the string being finalized before the method returns.
	 *
	 * @param file The Image's PIC file name
	 */
	public void setBmp(String file) {
	}
}